/******************************************************************************

  This short sample is to demonstrate the possiblity to integrate a DLL into
 FeelX. Specify this library in your menu description file (see online docs
 for more information). E.G. Tools,~Test, dll, testdll, hello

  When the user selects the appropriate menu item, FeelX loads this DLL and
 starts hello. When used in a shell context menu, the client area handle is
 passed to the function. When used in the tools menu, the frame handle is
 passed. Please notice that you must use _System linkage.

  This feature of FeelX can give you a good chance to extend FeelX. But don't
 try to use it without experience in programming DLL's. When you use C-library
 functions,  C++ or multithreading, programming a DLL can be difficult.

  To compile this program, just type: icc -Ge- testdll.c testdll.def

  -Ge- tells the compiler to produce a DLL. A definition file MUST be specified.
 If you rename the Dll you MUST change the LIBRARY statement in the Dll as well.
 It should be easy to port this example to other compilers the IBM C.

*******************************************************************************/

#define INCL_PM                         /* This is for HWND, FALSE, Win...    */
#define INCL_DOS                        /* DosBeep,                           */
#include <os2.h>

void _Export _System hello(HWND h)      /* Use _Export here or EXPORT in .DEF */
{                                       /* file. You MUST use _System linkage.*/
                                        /* For information about h read text  */
                                        /* above. "hello" is case-sensitive   */
HAB hab;                                /* handle achor block                 */

hab=WinInitialize(0);                   /* each thread must be initialized    */
if (!WinPostMsg(h, WM_FLASHWINDOW, (MPARAM)TRUE, 0))
   DosBeep(50,50);                      /* without message queue it is only   */
                                        /* possible to post messages (no send)*/
                                        /* FALSE indicates an error           */
WinTerminate(hab);                      /* free all resources                 */
}                                       /* no return value                    */
